Description: Avoid failure when building the PDF form of documentation
 Version 6.7 of Texinfo introduced the seealso macro, which clashes
 with Octave's one . This patch is a workaround for the problem.
Author: Rafael Laboissiere <rafael@debian.org>
Bug: https://savannah.gnu.org/bugs/index.php?57933
Forwarded: not-needed
Last-Update: 2020-04-16

--- octave-queueing-1.2.6.orig/doc/markovchains.texi
+++ octave-queueing-1.2.6/doc/markovchains.texi
@@ -264,7 +264,7 @@ after @var{n} transitions, given the pro
 
 @end table
 
-@seealso{ctmc}
+@xseealso{ctmc}
 
 @end deftypefn
 
@@ -412,7 +412,7 @@ $$
 @noindent where @math{\lambda_i} and @math{\mu_i} are the birth and
 death probabilities, respectively.
 
-@seealso{ctmcbd}
+@xseealso{ctmcbd}
 
 @end deftypefn
 
@@ -534,7 +534,7 @@ of visits to state @math{i} during the f
 Chains. American Mathematical Society. ISBN 978-0821807491.
 @end itemize
 
-@seealso{ctmcexps}
+@xseealso{ctmcexps}
 
 @end deftypefn
 
@@ -591,7 +591,7 @@ in state @math{i} until absorption.
 
 @end table
 
-@seealso{dtmcexps}
+@xseealso{dtmcexps}
 
 @end deftypefn
 
@@ -714,7 +714,7 @@ occupancy probabilities @var{p0}.
 Chains. American Mathematical Society. ISBN 978-0821807491.
 @end itemize
 
-@seealso{ctmcmtta}
+@xseealso{ctmcmtta}
 
 @end deftypefn
 
@@ -852,7 +852,7 @@ for the first time, starting from state
 Chains. American Mathematical Society. ISBN 978-0821807491.
 @end itemize
 
-@seealso{ctmcfpt}
+@xseealso{ctmcfpt}
 
 @end deftypefn
 
@@ -1069,7 +1069,7 @@ probabilities @var{p0}(1), @dots{}, @var
 
 @end table
 
-@seealso{dtmc}
+@xseealso{dtmc}
 
 @end deftypefn
 
@@ -1148,7 +1148,7 @@ $$
 @noindent where @math{\lambda_i} and @math{\mu_i} are the birth and
 death rates, respectively.
 
-@seealso{dtmcbd}
+@xseealso{dtmcbd}
 
 @end deftypefn
 
@@ -1288,7 +1288,7 @@ the expected time spent in state @math{i
 
 @end table
 
-@seealso{dtmcexps}
+@xseealso{dtmcexps}
 
 @end deftypefn
 
@@ -1383,7 +1383,7 @@ in this case the mean time to absorption
 
 @end table
 
-@seealso{ctmcexps}
+@xseealso{ctmcexps}
 
 @end deftypefn
 
@@ -1474,7 +1474,7 @@ Performance Evaluation with Computer Sci
 1998.
 @end itemize
 
-@seealso{ctmcexps}
+@xseealso{ctmcexps}
 
 @end deftypefn
 
@@ -1565,7 +1565,7 @@ time, starting from state @var{i}.
 
 @end table
 
-@seealso{ctmcmtta}
+@xseealso{ctmcmtta}
 
 @end deftypefn
 
--- octave-queueing-1.2.6.orig/doc/queueing.texi
+++ octave-queueing-1.2.6/doc/queueing.texi
@@ -26,7 +26,7 @@
 @c printed manual (that information should be in the supporting text for
 @c each group of functions and variables).
 
-@macro seealso {args}
+@macro xseealso {args}
 @iftex
 @vskip 2pt
 @end iftex
--- octave-queueing-1.2.6.orig/doc/queueingnetworks.texi
+++ octave-queueing-1.2.6/doc/queueingnetworks.texi
@@ -616,7 +616,7 @@ and Markov Chains: Modeling and Performa
 Science Applications}, Wiley, 1998
 @end itemize
 
-@seealso{qnopen,qnclosed,qnosvisits}
+@xseealso{qnopen,qnclosed,qnosvisits}
 
 @end deftypefn
 
@@ -788,7 +788,7 @@ Modeling and Performance Evaluation with
 Applications}, Wiley, 1998, Section 8.2.1, "Single Class Queueing
 Networks".
 
-@seealso{qncsmvald,qncscmva}
+@xseealso{qncsmvald,qncscmva}
 
 @end deftypefn
 
@@ -901,7 +901,7 @@ and Performance Evaluation with Computer
 1998, Section 8.2.4.1, ``Networks with Load-Dependent Service: Closed
 Networks''.
 
-@seealso{qncsmva}
+@xseealso{qncsmva}
 
 @end deftypefn
 
@@ -1088,7 +1088,7 @@ Prentice Hall,
 1984. @url{http://www.cs.washington.edu/homes/lazowska/qsp/}. In
 particular, see section 6.4.2.2 ("Approximate Solution Techniques").
 
-@seealso{qncsmva,qncsmvald}
+@xseealso{qncsmva,qncsmvald}
 
 @end deftypefn
 
@@ -1219,7 +1219,7 @@ K. Trivedi, @cite{Queueing Networks and
 Performance Evaluation with Computer Science Applications}, Wiley,
 1998, pp. 313--317.
 
-@seealso{qncsconvld}
+@xseealso{qncsconvld}
 
 @end deftypefn
 
@@ -1362,7 +1362,7 @@ does not). The modification is in the de
 function @math{f_i} defined in Schwetman, @cite{Some Computational
 Aspects of Queueing Network Models}.
 
-@seealso{qncsconv}
+@xseealso{qncsconv}
 
 @end deftypefn
 
@@ -1440,7 +1440,7 @@ Networks}, IEEE Transactions on Software
 april 1988, pp. 418--428.  @uref{http://dx.doi.org/10.1109/32.4663, 10.1109/32.4663}
 @end itemize
 
-@seealso{qnopen, qnclosed}
+@xseealso{qnopen, qnclosed}
 
 @end deftypefn
 
@@ -1950,7 +1950,7 @@ Analysis Using Queueing Network Models},
 particular, see section 7.4.1 ("Open Model Solution Techniques").
 @end itemize
 
-@seealso{qnopen,qnos,qnomvisits}
+@xseealso{qnopen,qnos,qnomvisits}
 
 @end deftypefn
 
@@ -2031,7 +2031,7 @@ S. Santini, @cite{Computing the Indices
 unpublished report, available at
 @url{http://arantxa.ii.uam.es/~ssantini/writing/notes/s668_summation.pdf}
 
-@seealso{qncmnpop}
+@xseealso{qncmnpop}
 
 @end deftypefn
 
@@ -2097,7 +2097,7 @@ Perform. Eval. Rev. 10, 3 (Sep. 1981), 8
 @uref{http://doi.acm.org/10.1145/1010629.805477, 10.1145/1010629.805477}
 @end itemize
 
-@seealso{qncmmva,qncmpopmix}
+@xseealso{qncmmva,qncmpopmix}
 
 @end deftypefn
 
@@ -2283,7 +2283,7 @@ System Analysis Using Queueing Network M
 1984. @url{http://www.cs.washington.edu/homes/lazowska/qsp/}. In
 particular, see section 7.4.2.1 ("Exact Solution Techniques").
 
-@seealso{qnclosed, qncmmvaapprox, qncmvisits}
+@xseealso{qnclosed, qncmmvaapprox, qncmvisits}
 
 @end deftypefn
 
@@ -2417,7 +2417,7 @@ Techniques"). This implementation is sli
 described above, as it computes the average response times @math{R}
 instead of the residence times.
 
-@seealso{qncmmva}
+@xseealso{qncmmva}
 
 @end deftypefn
 
@@ -2533,7 +2533,7 @@ Solution of Queueing Network Models}, Te
 of Computer Sciences, Purdue University, revised Feb 15, 1982.
 @end itemize
 
-@seealso{qncmmva, qncm}
+@xseealso{qncmmva, qncm}
 
 @end deftypefn
 
@@ -2637,7 +2637,7 @@ The returned struct @var{Q} should be co
 
 @c @end table
 
-@seealso{qnsolve}
+@xseealso{qnsolve}
 
 @end deftypefn
 
@@ -2811,7 +2811,7 @@ MVA algorithm as implemented in the @cod
 
 @end itemize
 
-@seealso{qncsmva, qncsmvald, qncmmva}
+@xseealso{qncsmva, qncsmvald, qncmmva}
 
 @end deftypefn
 
@@ -2856,7 +2856,7 @@ a scalar, the network is considered a si
 using @code{qnopensingle}. If @var{lambda} is a vector, the network
 is considered as a multiclass QN and solved using @code{qnopenmulti}.
 
-@seealso{qnos, qnom}
+@xseealso{qnos, qnom}
 
 @end deftypefn
 
@@ -2925,7 +2925,7 @@ throughput of open networks (scalar).
 
 @end table
 
-@seealso{qnomaba}
+@xseealso{qnomaba}
 
 @end deftypefn
 
@@ -3056,7 +3056,7 @@ Lower and upper bounds on the system res
 
 @end table
 
-@seealso{qncmaba}
+@xseealso{qncmaba}
 
 @end deftypefn
 
@@ -3141,7 +3141,7 @@ Analysis Using Queueing Network Models},
 particular, see section 5.2 ("Asymptotic Bounds").
 @end itemize
 
-@seealso{qncsaba}
+@xseealso{qncsaba}
 
 @end deftypefn
 
@@ -3198,7 +3198,7 @@ Lower and upper bounds on the system res
 
 @end table
 
-@seealso{qnosaba}
+@xseealso{qnosaba}
 
 @end deftypefn
 
@@ -3271,7 +3271,7 @@ Analysis Using Queueing Network Models},
 particular, see section 5.4 ("Balanced Systems Bounds").
 @end itemize
 
-@seealso{qncmbsb}
+@xseealso{qncmbsb}
 
 @end deftypefn
 
@@ -3328,7 +3328,7 @@ Lower and upper class @math{c} response
 
 @end table
 
-@seealso{qncsbsb}
+@xseealso{qncsbsb}
 
 @end deftypefn
 
@@ -3474,7 +3474,7 @@ Casale, R. R. Muntz, G. Serazzi, @cite{G
 Non-Iterative Analysis Technique for Closed Queueing Networks}, IEEE
 Transactions on Computers, 57(6):780-794, June 2008.
 
-@seealso{qncsaba, qbcsbsb, qncsgb}
+@xseealso{qncsaba, qbcsbsb, qncsgb}
 
 @end deftypefn
 
--- octave-queueing-1.2.6.orig/doc/singlestation.texi
+++ octave-queueing-1.2.6/doc/singlestation.texi
@@ -154,7 +154,7 @@ and Markov Chains: Modeling and Performa
 Science Applications}, Wiley, 1998, Section 6.3
 @end itemize
 
-@seealso{qsmmm, qsmminf, qsmmmk}
+@xseealso{qsmmm, qsmminf, qsmmmk}
 
 @end deftypefn
 
@@ -281,7 +281,7 @@ and Markov Chains: Modeling and Performa
 Science Applications}, Wiley, 1998, Section 6.5
 @end itemize
 
-@seealso{erlangc,qsmm1,qsmminf,qsmmmk}
+@xseealso{erlangc,qsmm1,qsmminf,qsmmmk}
 
 @end deftypefn
 
@@ -877,7 +877,7 @@ be vectors as well.
 Science Applications}, Wiley, 1998
 @end itemize
 
-@seealso{qsmmm}
+@xseealso{qsmmm}
 
 @end deftypefn
 
@@ -940,7 +940,7 @@ Probability that there is not any reques
 @var{lambda}, @var{xavg}, @var{t2nd} can be vectors of the
 same size. In this case, the results will be vectors as well.
 
-@seealso{qsmh1}
+@xseealso{qsmh1}
 
 @end deftypefn
 
